## com.google.javascript.rhino
Class ScriptRuntime

    java.lang.Object
      com.google.javascript.rhino.ScriptRuntime

    public class ScriptRuntime

extends Object

This is the class that implements the runtime.

Field Summary
`static double` | `NaN`
`static double` | `negativeZero`

Constructor Summary
`protected` | `ScriptRuntime()` No instances should be created.

Method Summary
`static String` | `escapeString(String s)`
`static String` | `escapeString(String s, char escapeQuote)` For escaping strings printed by object and array literals; not quite the same as 'escape.'
`static String` | `getMessage(String messageId, Object[] arguments)`
`static String` | `getMessage0(String messageId)`
`static String` | `getMessage1(String messageId, Object arg1)`
`static boolean` | `isJSLineTerminator(int c)`
`static long` | `testUint32String(String str)` If str is a decimal presentation of Uint32 value, return it as long.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NaN

    public static final double NaN

### negativeZero

    public static final double negativeZero

Constructor Detail

### ScriptRuntime

    protected ScriptRuntime()

  No instances should be created.

Method Detail

### isJSLineTerminator

    public static boolean isJSLineTerminator(int c)

### escapeString

    public static String escapeString(String s)

### escapeString

    public static String escapeString(String s,
                                      char escapeQuote)

  For escaping strings printed by object and array literals; not quite the same as 'escape.'

### testUint32String

    public static long testUint32String(String str)

  If str is a decimal presentation of Uint32 value, return it as long. Othewise return -1L;

### getMessage0

    public static String getMessage0(String messageId)

### getMessage1

    public static String getMessage1(String messageId,
                                     Object arg1)

### getMessage

    public static String getMessage(String messageId,
                                    Object[] arguments)